View workflow reruns

List rerun branches under a job.

GET https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}/rerun-branches

Preparation before calling

First query the workflow job list to obtain the workflow ID and source job execution ID. Prepare a personal access token and target workspace ID that has access to the target workspace.

Path parameters

workflow_idstring
Workflow ID.
execution_idstring
Source job ID.

Request example

curl "https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID/rerun-branches" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

codestring
`OK` when successful.
msgstring
`OK` when successful.
data.reruns[]array
Rerun branch list.
data.reruns[].rerun_idstring
Rerun ID.
data.reruns[].branch_idstring
Branch ID.
data.reruns[].case_idstring
Case ID.
data.reruns[].source_execution_idstring
Source job ID; returned only if there is a value.
data.reruns[].node_keystring
Rerun starting point; only returned if there is a value.
data.reruns[].modestring
Rerun mode.
data.reruns[].statusstring
Branch status.
data.reruns[].errorstring
Branch error information; only returned when there is an error.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "reruns": [
      {
        "rerun_id": "rerun-001",
        "branch_id": "branch-001",
        "case_id": "case-001",
        "source_execution_id": "exec-001",
        "node_key": "root.load",
        "mode": "continue_from_node",
        "status": "running"
      }
    ]
  }
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrNotFound",
  "msg": "资源不存在",
  "data": null
}

Follow-up operations

Use data.reruns[].rerun_id query workflow rerun details.

Last updated on